libzypp 17.38.15

SerialNumber.h File Reference
`#include <iosfwd>`
`#include <zypp-core/base/PtrTypes.h>`

Go to the source code of this file.

## Classes
class | zypp::SerialNumber
| Simple serial number provider. More...
class | zypp::SerialNumberWatcher
| Simple serial number watcher. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const SerialNumber &obj)
| relates: SerialNumber Stream output
std::ostream & | zypp::operator<< (std::ostream &str, const SerialNumberWatcher &obj)
| relates: SerialNumberWatcher Stream output